Home
last modified time | relevance | path

Searched full:git (Results 1 – 25 of 2661) sorted by relevance

12345678910>>...107

/external/bcc/docs/
Dkernel-versions.md7 3.15 | [`bd4cf0ed331a`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=…
13 git grep HAVE_EBPF_JIT arch/
17 x86\_64 | 3.16 | [`622582786c9e`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/c…
18 ARM64 | 3.18 | [`e54bcde3d69d`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/com…
19 s390 | 4.1 | [`054623105728`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commi…
20 …or JIT machines | 4.7 | [`4f3446bb809f`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/lin…
21 PowerPC64 | 4.8 | [`156d0e290e96`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/…
22 …ing - PowerPC64 | 4.9 | [`b7b7013cac55`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/lin…
23 Sparc64 | 4.12 | [`7a12b5031c6b`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/c…
24 MIPS | 4.13 | [`f381bf6d82f0`](https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/comm…
[all …]
/external/autotest/client/tests/qemu_iotests/
Dqemu-iotests.tar.bz2 ... /.git/index qemu-iotests/.git/description qemu-iotests/.git/objects ...
/external/u-boot/
DMAINTAINERS9 Type is one of: git, hg, quilt, stgit, topgit
31 get_maintainer will not look at git log history when an F: pattern
32 match occurs. When an N: match occurs, git log history is used
33 to also notify the people that have git commit signatures.
61 T: git git://git.denx.de/u-boot-arc.git
82 T: git git://git.denx.de/u-boot-arm.git
88 T: git git://git.denx.de/u-boot-socfpga.git
94 T: git git://git.denx.de/u-boot-atmel.git
114 T: git git://git.denx.de/u-boot-imx.git
136 T: git git://git.denx.de/u-boot-marvell.git
[all …]
/external/syzkaller/pkg/vcs/
Dgit.go22 type git struct { struct
28 func newGit(os, vm, dir string) *git {
29 return &git{
36 func (git *git) Poll(repo, branch string) (*Commit, error) { argument
37 dir := git.dir
38 runSandboxed(dir, "git", "bisect", "reset")
39 runSandboxed(dir, "git", "reset", "--hard")
40 origin, err := runSandboxed(dir, "git", "remote", "get-url", "origin")
43 if err := git.clone(repo, branch); err != nil {
49 // stuck with the local version forever (git checkout won't fail).
[all …]
Dvcs_test.go27 "git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git": true,
28 "https://github.com/torvalds/linux.git": true,
29 "git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git": true,
30 "git://git.cmpxchg.org/linux-mmots.git": true,
31 "https://anonscm.debian.org/git/kernel/linux.git": true,
32 "git://kernel.ubuntu.com/ubuntu/ubuntu-zesty.git": true,
33 "http://host.xz:123/path/to/repo.git/": true,
37 "foo://kernel.ubuntu.com/ubuntu/ubuntu-zesty.git": false,
38 "git://kernel/ubuntu.git": false,
39 "git://kernel.com/ubuntu": false,
[all …]
/external/v8/tools/release/
Dtest_scripts.py435 self.Expect([Cmd("git --version", "git version 1.2.3"),
436 Cmd("git dummy", "")])
437 self.assertEquals("git version 1.2.3", self.MakeStep().Git("--version"))
438 self.assertEquals("", self.MakeStep().Git("dummy"))
442 Cmd("git status -s -uno", ""),
443 Cmd("git checkout -f origin/master", ""),
444 Cmd("git fetch", ""),
445 Cmd("git branch", " branch1\n* %s" % TEST_CONFIG["BRANCHNAME"]),
447 Cmd("git branch -D %s" % TEST_CONFIG["BRANCHNAME"], ""),
454 Cmd("git status -s -uno", ""),
[all …]
/external/swiftshader/third_party/llvm-7.0/llvm/docs/Proposals/
DGitHubMove.rst15 infrastructure) will continue to work with a Git-based LLVM.
30 from SVN hosted on our own servers to Git hosted on GitHub. We are not proposing
37 Why Git, and Why GitHub?
44 and Git mirror on a voluntary basis. The LLVM Foundation sponsors the server and
54 space, Git server, code browsing, forking facilities, etc) for free.
56 Why Git?
59 Many new coders nowadays start with Git, and a lot of people have never used
64 Git is also the version control many LLVM developers use. Despite the
65 sources being stored in a SVN server, these developers are already using Git
66 through the Git-SVN integration.
[all …]
/external/skqp/experimental/documentation/
Dgerrit.md1 Using Gerrit without git-cl
9 This command sets up a Git commit-message hook to add a unique Change-Id to
13 curl -Lo "$(git rev-parse --git-dir)/hooks/commit-msg"
15 chmod +x "$(git rev-parse --git-dir)/hooks/commit-msg"
22 git remote set-url origin 'https://skia.googlesource.com/skia.git'
37 git checkout -b TOPIC
41 git checkout -b TOPIC -t origin/master
46 git commit --all --message 'Change Foo'
47 git log -1
49 `git log` should show that a Change-Id line has been added you your commit
[all …]
/external/skia/experimental/documentation/
Dgerrit.md1 Using Gerrit without git-cl
9 This command sets up a Git commit-message hook to add a unique Change-Id to
13 curl -Lo "$(git rev-parse --git-dir)/hooks/commit-msg"
15 chmod +x "$(git rev-parse --git-dir)/hooks/commit-msg"
22 git remote set-url origin 'https://skia.googlesource.com/skia.git'
37 git checkout -b TOPIC
41 git checkout -b TOPIC -t origin/master
46 git commit --all --message 'Change Foo'
47 git log -1
49 `git log` should show that a Change-Id line has been added you your commit
[all …]
/external/mesa3d/docs/
Drepository.html20 Mesa uses <a href="https://git-scm.com">git</a>
25 The master git repository is hosted on
39 >browse the main Mesa git repository</a> and the
41 >Mesa demos and tests git repository</a>.
45 <h2 id="anonymous">Anonymous git Access</h2>
52 <li>Install the git software on your computer if needed.<br><br>
55 git clone git://anongit.freedesktop.org/git/mesa/mesa
59 git pull origin
63 git clone git://anongit.freedesktop.org/git/mesa/demos
68 <h2 id="developer">Developer git Access</h2>
[all …]
/external/grpc-grpc/tools/interop_matrix/testcases/
Dpython__v1.0.x3 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
4 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
5 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
6 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
7 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
8 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
9 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
10 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
11 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
12 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
[all …]
Dpython__master3 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
4 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
5 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
6 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
7 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
8 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
9 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
10 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
11 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
12 …=true -e PYTHONPATH=/var/local/git/grpc/src/python/gens -e LD_LIBRARY_PATH=/var/local/git/grpc/lib…
[all …]
/external/grpc-grpc/templates/tools/dockerfile/
Dclang_update.include4 RUN git clone -n -b release_38 http://llvm.org/git/llvm.git && ${'\\'}
5 cd llvm && git checkout ad57503 && cd ..
6 RUN git clone -n -b release_38 http://llvm.org/git/clang.git && ${'\\'}
7 cd clang && git checkout ad2c56e && cd ..
8 RUN git clone -n -b release_38 http://llvm.org/git/compiler-rt.git && ${'\\'}
9 cd compiler-rt && git checkout 3176922 && cd ..
10 RUN git clone -n -b release_38 ${'\\'}
11 http://llvm.org/git/clang-tools-extra.git && cd clang-tools-extra && ${'\\'}
12 git checkout c288525 && cd ..
13 RUN git clone -n -b release_38 http://llvm.org/git/libcxx.git && ${'\\'}
[all …]
/external/skia/tools/
Dgit-sync-deps8 """Parse a DEPS file and git checkout all of the dependencies.
14 GIT_EXECUTABLE: path to "git" binary; if unset, will look for git in
22 Git Config:
25 git config sync-deps.disable true
29 git config --unset sync-deps.disable
40 """Find the git executable.
46 searchlist = ['git']
50 for git in searchlist:
52 subprocess.call([git, '--version'], stdout=devnull)
55 return git
[all …]
/external/skqp/tools/
Dgit-sync-deps8 """Parse a DEPS file and git checkout all of the dependencies.
14 GIT_EXECUTABLE: path to "git" binary; if unset, will look for git in
22 Git Config:
25 git config sync-deps.disable true
29 git config --unset sync-deps.disable
40 """Find the git executable.
46 searchlist = ['git']
50 for git in searchlist:
52 subprocess.call([git, '--version'], stdout=devnull)
55 return git
[all …]
/external/glide/
Dupdate_files.sh23 if ! git remote | grep bump > /dev/null;
25 git remote add bump https://github.com/bumptech/glide.git
30 git fetch bump ${GLIDE_BRANCH} || exit 1
37 git checkout ${ANDROID_BRANCH_NAME}
40 git merge FETCH_HEAD || true
43 git rm -rf samples || true
44 git rm -rf integration || true
45 git rm -rf static || true
46 git rm -rf glide || true
47 git rm -rf .idea || true
[all …]
/external/syzkaller/dashboard/app/
Djobs_test.go51 c.incomingEmail(sender, "#syz test: git://git.git/git.git kernel-branch\n"+patch,
79 c.expectEQ(strings.Contains((<-c.emailSink).Body, "does not look like a valid git repo"), true)
81 c.incomingEmail(sender, "#syz test: git://git.git/git.git kernel-branch\n"+patch,
88 c.incomingEmail(sender, "#syz test: git://git.git/git.git kernel-branch\n"+patch,
95 c.incomingEmail(sender, "#syz test: git://git.git/git.git kernel-branch\n"+patch,
106 c.expectEQ(pollResp.KernelRepo, "git://git.git/git.git")
149 git tree: repo1/branch1
165 …c.incomingEmail(sender, "#syz test: git://git.git/git.git kernel-branch\n"+patch, EmailOptMessageI…
191 git tree: repo1/branch1
205 …c.incomingEmail(sender, "#syz test: git://git.git/git.git kernel-branch\n"+patch, EmailOptMessageI…
[all …]
/external/autotest/client/common_lib/
Drevision_control.py18 """Exceptions raised for general git errors."""
22 """Exceptions raised for git clone errors."""
26 """Exception raised for git fetch errors."""
30 """Exception raised for git pull errors."""
34 """Exception raised for git reset errors."""
38 """Exception raised for git commit errors."""
42 """Exception raised for git push errors."""
47 This class represents a git repo.
49 It is used to pull down a local copy of a git repo, check if the local
59 @param giturl: master repo git url.
[all …]
/external/grpc-grpc/tools/dockerfile/grpc_clang/
DDockerfile21 git \
26 RUN git clone -b release_36 http://llvm.org/git/llvm.git
27 RUN git clone -b release_36 http://llvm.org/git/clang.git
28 RUN git clone -b release_36 http://llvm.org/git/compiler-rt.git
29 RUN git clone -b release_36 http://llvm.org/git/clang-tools-extra.git
30 RUN git clone -b release_36 http://llvm.org/git/libcxx.git
31 RUN git clone -b release_36 http://llvm.org/git/libcxxabi.git
/external/tensorflow/tensorflow/tools/git/
Dgen_git_source.py15 """Help include git hash in tensorflow bazel build.
17 This creates symlinks from the internal git repository directory so
19 remember what branch git was on so when the branch changes we can
37 """Given a filename of a .git/HEAD file return ref path.
39 In particular, if git is in detached head state, this will
40 return None. If git is in attached head, it will return
45 Example: parse_branch_ref(".git/HEAD")
47 filename: file to treat as a git HEAD file
61 raise RuntimeError("Git directory has unparseable HEAD")
65 """Configure `src_base_path` to embed git hashes if available."""
[all …]
/external/clang/
DToolchainPrebuilts.md14 You can use git/svn to query the latest tagged version to see what we will be
27 persistent-https://android.git.corp.google.com/platform/manifest -b llvm
33 git branch -D working_dev
48 git branch -D clean_master
49 git checkout -b clean_master <SHA_FOR_SQUASH>
50 git checkout working_dev
51 git merge -s ours clean_master
52 git push aosp refs/heads/working_dev:refs/heads/dev
53 git branch -D clean_master
58 git branch -D clean_master
[all …]
/external/grpc-grpc/tools/dockerfile/test/fuzzer/
DDockerfile17 # Install Git and basic packages.
28 git \
85 RUN git clone -n -b release_38 http://llvm.org/git/llvm.git && \
86 cd llvm && git checkout ad57503 && cd ..
87 RUN git clone -n -b release_38 http://llvm.org/git/clang.git && \
88 cd clang && git checkout ad2c56e && cd ..
89 RUN git clone -n -b release_38 http://llvm.org/git/compiler-rt.git && \
90 cd compiler-rt && git checkout 3176922 && cd ..
91 RUN git clone -n -b release_38 \
92 http://llvm.org/git/clang-tools-extra.git && cd clang-tools-extra && \
[all …]
/external/swiftshader/third_party/llvm-7.0/llvm/utils/git-svn/
Dgit-svnrevert5 echo "$0 <rNNNNNN | git-hash>"
9 if [ -n "$(git status -uno -s --porcelain)" ]; then
11 git status -uno
16 OTHER=$(git svn find-rev "$COMMIT")
18 echo "Error! Could not find an svn/git revision for commit $COMMIT!"
29 GIT=$OTHER
32 GIT=$COMMIT
36 ONE_LINE_MSG=$(git log --oneline $GIT -1 | cut -f2- -d " ")
39 git revert --no-commit $GIT 2>/dev/null
42 git reset --hard HEAD
[all …]
/external/llvm/utils/git-svn/
Dgit-svnrevert5 echo "$0 <rNNNNNN | git-hash>"
9 if [ -n "$(git status -uno -s --porcelain)" ]; then
11 git status -uno
16 OTHER=$(git svn find-rev "$COMMIT")
18 echo "Error! Could not find an svn/git revision for commit $COMMIT!"
29 GIT=$OTHER
32 GIT=$COMMIT
36 ONE_LINE_MSG=$(git log --oneline $GIT -1 | cut -f2- -d " ")
39 git revert --no-commit $GIT 2>/dev/null
42 git reset --hard HEAD
[all …]
/external/skqp/
DDEPS8 … : "https://chromium.googlesource.com/chromium/buildtools.git@505de88083136eefd05…
9 …"common" : "https://skia.googlesource.com/common.git@9737551d7a52c3…
10 …"third_party/externals/angle2" : "https://chromium.googlesource.com/angle/angle.git@a5410…
11 …sdk" : "https://android.googlesource.com/platform/external/dng_sdk.git@96443b262250c390b0c…
13 …xpat" : "https://android.googlesource.com/platform/external/expat.git@android-6.0.1_r55",
14 …ls/freetype" : "https://skia.googlesource.com/third_party/freetype2.git@7edc937fe679d14d66f…
15 …"third_party/externals/harfbuzz" : "https://skia.googlesource.com/third_party/harfbuzz.git@…
16 …ls/icu" : "https://chromium.googlesource.com/chromium/deps/icu.git@407b39301e71006b68b…
17 … : "https://skia.googlesource.com/external/github.com/ocornut/imgui.git@d38d7c6628bebd02692…
19 … : "https://chromium.googlesource.com/external/github.com/open-source-parsers/jsoncpp.git@1.0.0",
[all …]

12345678910>>...107